local _, ns = ...

local foo = {""}
local spellcache = setmetatable({},
{__index=function(t,id)
	local a = {GetSpellInfo(id)}

	if GetSpellInfo(id) then
		t[id] = a
		return a
	end

	--print("Invalid spell ID: ", id)
	t[id] = foo
	return foo
end
})

local function GetSpellInfo(a)
	return unpack(spellcache[a])
end

ns.auras = {
	-- Ascending aura timer
	-- Add spells to this list to have the aura time count up from 0
	-- NOTE: This does not show the aura, it needs to be in one of the other list too.
	ascending = {
		--[GetSpellInfo(92956)] = true, -- Wrack
	},

	-- Any Zone
	debuffs = {
		--[6788] = 16,
		--[GetSpellInfo(6788)] = 16, -- Weakened Soul
	},

	buffs = {
		--[GetSpellInfo(871)] = 15, -- Shield Wall
		--[GetSpellInfo(17)] = 15, -- Power Word: Shield
	},

	-- Raid Debuffs
	instances = {
		--["MapID"] = {
		--	[Name or GetSpellInfo(spellID) or SpellID] = PRIORITY,
		--},

		[1114] = {
		-- Guarm
			
			[GetSpellInfo(228226)] = 6,
-- Flame Lick
			[GetSpellInfo(228246)] = 6,
-- Frost Lick
			[GetSpellInfo(228250)] = 6,
-- Shadow Lick
			[GetSpellInfo(227539)] = 5,
-- Fiery Phlegm
			[GetSpellInfo(227566)] = 5,
-- Salty Spittle
			[GetSpellInfo(227570)] = 5,
-- Dark Discharge

			-- Helya
			
			[GetSpellInfo(227903)] = 5,
-- Orb of Corruption
			[GetSpellInfo(228058)] = 5,
-- Orb of Corrosion
			[GetSpellInfo(228054)] = 5,
-- Taint of the Sea
			[GetSpellInfo(193367)] = 5,
-- Fetid Rot
			[GetSpellInfo(227982)] = 5,
-- Bilewater Redox
			[GetSpellInfo(228519)] = 5,
-- Anchor Slam
			[GetSpellInfo(202476)] = 5,
-- Rabid
			[GetSpellInfo(232450)] = 5,
-- Corrupted Axion


			-- Odyn
			
			[GetSpellInfo(227959)] = 5,
-- Storm of Justice
			[GetSpellInfo(227475)] = 5,
-- Cleansing Flame
			[GetSpellInfo(192044)] = 5,
-- Expel Light
			[GetSpellInfo(227781)] = 5,
-- Glowing Fragment
		},

		[1088] = {
					-- Skorpyron
			
			-- Crystalline Scorpid
			[GetSpellInfo(204766)] = 5,
-- Energy Surge (non-dispellable, stacks) (DMG + Debuff)
			-- Chromatic Exoskeleton
			[GetSpellInfo(214657)] = 5,
-- Acidic Fragments (non-dispellable) (DMG + Debuff)
			[GetSpellInfo(214662)] = 5,
-- Volatile Fragments (non-dispellable) (DMG + Debuff)
			-- Arcanoslash
			[GetSpellInfo(211659)] = 5,
-- Arcane Tether (non-dispellable, stacks) (Stacking Ground AoE)

			[GetSpellInfo(204471)] = 5,
-- Focused Blast (non-dispellable) (Frontal Cone AoE)

			-- Chronomatic Anomaly
			
			[GetSpellInfo(206607)] = 5,
-- Chronometric Particles (non-dispellable, stacks) (Stacking DoT)
			[GetSpellInfo(206609)] = 5,
-- Time Release (non-dispellable) (heal absorb)
			-- [GetSpellInfo(206615)] = 5,
-- Time Bomb (non-dispellable) (Not a Debuff?)
			[GetSpellInfo(212099)] = 5,
-- Temporal Charge (non-dispellable) (DoT)

			-- Trilliax
			
			[GetSpellInfo(206482)] = 5,
-- Arcane Seepage (non-dispellable) (Ground AoE)
			-- The Cleaner
			[GetSpellInfo(206788)] = 5,
-- Toxic Slice (non-dispellable) (DMG + Debuff Stacking DoT)

			-- Spellblade Aluriel
			
			-- Chamion of Blades
			[GetSpellInfo(212492)] = 5,
-- Annihilate (non-dispellable) (DMG + Tank Debuff)
			-- Master of Frost
			[GetSpellInfo(212587)] = 5,
-- Mark of Frost (non-dispellable) (DMG + Increase DMG taken per stack explodes if two people with it get close)
			-- Frostbitten (non-dispellable, Stacks)(TODO)
			[GetSpellInfo(213083)] = 5,
-- Frozen Tempest (non-dispellable) (DoT)

			-- Tichondrius
			
			-- Stage One
			[GetSpellInfo(206480)] = 5,
-- Carrion Plague (non-dispellable) (DoT)
			[GetSpellInfo(213238)] = 5,
-- Seeker Swarm (non-dispellable) (DMG + Adds Carrion Plague DoT)
			[GetSpellInfo(212795)] = 5,
-- Brand of Argus (non-dispellable) (Explodes if players clump)
			[GetSpellInfo(208230)] = 5,
-- Feast of Blood (non-dispellable) (Increases DMG Taken)
			-- The Nightborne Felsworn Spellguard
			[GetSpellInfo(216024)] = 5,
-- Volatile Wound (non-dispellable, Stacks) (DMG + Increases Future DMG Taken)
			-- The Legion Sightless Watcher
			[GetSpellInfo(216040)] = 5,
-- Burning Soul (dispellable) (DMG + Mana Drain + Explode on Dispell)

			-- Krosus
			
			-- Searing Brand (non-dispellable, Stacks)(TODO)
			[GetSpellInfo(208203)] = 5,
-- Isolated Rage (non-dispellable) (Ground AoE Not Avoidable)

			-- High Botanist Tel'arn
			
			--Arcanist Tel'arn
			[GetSpellInfo(218502)] = 5,
-- Recursive Strikes (non-dispellable, stacks) (Increases DMG Taken)
			-- Naturalist Tel'arn
			[GetSpellInfo(219049)] = 5,
-- Toxic Spores (non-dispellable) (Ground AoE)
			[GetSpellInfo(218424)] = 5,
-- Parasitic Fetter (dispellable) (Root + Increaseing DMG)

			-- Star Augur Etraeus
			
			-- Stage Two
			[GetSpellInfo(206585)] = 5,
-- Absolute Zero (non-dispellable, stacks) (DMG + Dispellable by Player Clump That then causes Chill)
			[GetSpellInfo(206936)] = 5,
-- Icy Ejection (non-dispellable, stacks) (DoT + Slow-to-Stun)
			-- Stage Three
			[GetSpellInfo(206388)] = 5,
-- Felburst (non-dispellable, stacks) (DMG + DoT)
			[GetSpellInfo(205649)] = 5,
-- Fel Ejection (non-dispellable, stacks) (DMG + DoT)
			-- Stage Four
			[GetSpellInfo(206965)] = 5,
-- Voidburst (non-dispellable) (DoT)
			[GetSpellInfo(207143)] = 5,
-- Void Ejection (non-dispellable) (DMG + DoT)

			-- Grand Magistrix Elisande
			

			-- Gul'dan
			
			-- Stage One
			-- Inquisitor Vethriz
			[GetSpellInfo(212568)] = 5,
-- Drain (dispellable) (Life Steal)
			-- D'zorykx the Trapper
			[GetSpellInfo(206883)] = 5,
-- Soul Vortex (non-dispellable, stacks) (AoE DMG + DoT)
			-- Gul'dan
			[GetSpellInfo(206222)] = 5,
-- Bonds of Fel (non-dispellable) (chain + Slow + Explosion when seperated)
			[GetSpellInfo(206221)] = 5,
-- Empowered Bonds of Fel (non-dispellable) (chain + Slow + Explosion when seperated)
			-- Dreadlords of the Twisting Nether
			[GetSpellInfo(208672)] = 5,
-- Carrion Wave (non-dispellable) (AoE DMG + Sleep)
			-- Gul'dan
			[GetSpellInfo(208903)] = 5,
-- Burning Claws (non-dispellable) (ground AoE)
			[GetSpellInfo(208802)] = 5,
-- Soul Corrosion (non-dispellable) (DMG + DoT)

		},
		[1094] = {
			-- Trash
			-- Nythendra
			[GetSpellInfo(221028)] = 2,
-- Unstable Decay

			-- Nythendra
			
			-- Infested (Heroic)
			[GetSpellInfo(204504)] = 2,
-- Infested
			-- Stage One
			-- Infested Ground
			[GetSpellInfo(203045)] = 5,
-- Infested Ground (standing in pool)
			-- Rot
			[GetSpellInfo(203096)] = 6,
-- Rot (AoE people around you)
			-- Volatile Rot
			[GetSpellInfo(204463)] = 6,
-- Volatile Rot (exploding tank)
			-- Stage Two
			-- Heart of the Swarm/Burst of Corruption
			[GetSpellInfo(203646)] = 5,
-- Burst of Corruption

			-- Il'gynoth, Heart of Corruption
			
			-- Stage One
			-- Nightmare Corruption
			[GetSpellInfo(212886)] = 4,
-- Nightmare Corruption (standing in pool)
			-- Dispersed Spores (dot, missed Death Blossom)
			[GetSpellInfo(215845)] = 1,
-- Dispersed Spores (dot)
			-- The Eye of Il'gynoth
			-- Nightmare Ichor
			-- Fixate
			[GetSpellInfo(210099)] = 7,
			-- Touch of Corruption
			[GetSpellInfo(209469)] = 8,
-- (dot, stacks, magic)
			-- Nightmare Explosion (Mythic dot)
			[GetSpellInfo(209471)] = 1,
-- Nightmare Explosion (dot, stacks)
			-- Forces of Corruption
			-- Nightmare Horror
			-- Eye of Fate (tank debuff, stacks)
			[GetSpellInfo(210984)] = 3,
-- Eye of Fate (tank debuff, stacks)
			-- Deathglare Tentacle
			-- Mind Flay (interruptable)
			[GetSpellInfo(208697)] = 2,
			-- Spew Corruption (dot, player drops pools)
			[GetSpellInfo(208929)] = 5,
-- Spew Corruption (dot, drops pools)
			-- Dominator Tentacle
			-- Nighmarish Fury (buff?, stacks)
			-- Stage Two
			-- Cursed Blood (dot, weak bomb)
			[GetSpellInfo(215128)] = 5,
-- Cursed Blood (dot, weak bomb)

			-- Elerethe Renferal
			
			-- Spider Form
			-- Web of Pain (linked with another player)
			[GetSpellInfo(215307)] = 6,
-- Web of Pain (link)
			-- Necrotic Venom (dot, drops pools)
			[GetSpellInfo(215460)] = 5,
-- Necrotic Venom (dot, drops pools)
			-- Venomous Pool
			[GetSpellInfo(213124)] = 4,
-- Venomous Pool (standing in pool)
			-- Roc Form
			-- Shimmering Feather (buff?)
			-- Twisting Shadows (dot, caught in tornado)
			[GetSpellInfo(210850)] = 3,
-- Twisting Shadows (dot)
			-- Raking Talons (tank debuff, stacks)
			[GetSpellInfo(215582)] = 3,
-- Raking Talons (tank debuff, stacks)
			-- Wind Burn (debuff, stacks)
			[GetSpellInfo(218519)] = 1,
-- Wind Burn (debuff, stacks)
			-- Venomous Spiderling
			-- Dripping Fangs (dot, stacks)
			[GetSpellInfo(210228)] = 2,
-- Dripping Fangs (dot, stacks)

			-- Ursoc
			
			-- Overwhelm
			[GetSpellInfo(197943)] = 5,
-- Overwhelm (tank debuff, stacks)
			-- Rend Flesh
			[GetSpellInfo(204859)] = 3,
-- Rend Flesh (dot)
			-- Focused Gaze
			[GetSpellInfo(198006)] = 7,
			-- Momentum
			[GetSpellInfo(198108)] = 1,
-- Momentum (debuff)
			-- Nightmarish Cacophony (Fear)
			[GetSpellInfo(197980)] = 2,
-- Nightmarish Cacophony (fear)
			-- Miasma (standing in)
			[GetSpellInfo(205611)] = 4,
-- Miasma (standing in)

			-- Dragons of Nightmare
			
			-- Shared
			-- Slumbering Nightmare (stun)
			[GetSpellInfo(203110)] = 3,
-- Slumbering Nightmare (stun)
			-- Ysondre
			-- Mark of Ysondre (dot, stacks)
			[GetSpellInfo(203102)] = 2,
-- Mark of Ysondre (dot, stacks)
			-- Nightmare Bloom (standing in, should be at least 1 player)
			[GetSpellInfo(207681)] = 4,
-- Nightmare Bloom (standing in)
			-- Dread Horror
			-- Wasting Dread (debuff reduces dam 50%) (disabled)
			[GetSpellInfo(204731)] = 1,
-- Wasting Dread (debuff)
			-- Defiled Spirit
			-- Defiled Vines (root, magic)
			[GetSpellInfo(203770)] = 8,
-- Defiled Vines (root, magic)
			-- Emeriss
			-- Mark of Emeriss (dot, stacks)
			[GetSpellInfo(203125)] = 2,
-- Mark of Emeriss (dot, stacks)
			-- Volatile Infection (AoE dot)
			[GetSpellInfo(203787)] = 5,
-- Volatile Infection (AoE dot)
			-- Lethon
			-- Mark of Lethon (dot, stacks)
			[GetSpellInfo(203086)] = 2,
-- Mark of Lethon (dot, stacks)
			-- Shadow Burst (dot, stacks)
			[GetSpellInfo(204044)] = 4,
-- Shadow Burst (dot, stacks)
			-- Taerar
			-- Mark of Taerar (dot, stacks)
			[GetSpellInfo(203121)] = 2,
-- Mark of Taerar (dot, stacks)
			-- Seeping Fog (dot, sleep, magic)
			[GetSpellInfo(205341)] = 6,
-- Seeping Fog (dot, sleep, magic)
			-- Bellowing Roar (fear)
			[GetSpellInfo(204078)] = 2,
-- Bellowing Roar (fear)
			-- Lumbering Mindgorger
			-- Collapsing Nightmare (debuff reduces dam 50%, missed interrupt) (disabled)
			[GetSpellInfo(214543)] = 1,
-- Collapsing Nightmare (debuff)

			-- Cenarius
			
			-- Stage One
			-- Malfurion Stormrage
			-- Cleansed Ground (buff)
			[GetSpellInfo(212681)] = 1,
-- Cleansed Ground (buff)
			-- Cenarius
			-- Creeping Nightmares (debuff, stacks)
			[GetSpellInfo(210279)] = 2,
-- Creeping Nightmares (debuff, stacks)
			-- Nightmare Brambles (dot, root, magic)
			[GetSpellInfo(210315)] = 8,
-- Nightmare Brambles (dot, root, magic)
			-- Nightmare Blast (tank debuff, stacks) (Mythic)
			[GetSpellInfo(213162)] = 5,
-- Nightmare Blast (tank debuff, stacks)
			-- Forces of Nightmare
			-- Corrupted Wisp
			-- Nightmare Ancient
			-- Desiccating Stomp (melee split damage debuf, stacksf)
			[GetSpellInfo(226821)] = 4,
-- Desiccating Stomp (melee debuff, stacks)
			-- Rotten Drake
			-- Twisted Sister
			-- Nightmare Javelin (dot, magic)
			[GetSpellInfo(211507)] = 6,
-- Nightmare Javelin (dot, magic)
			-- Scorned Touch (spreading dot, slow)
			[GetSpellInfo(211471)] = 5,
-- Scorned Touch (dot, spreads)
			-- Allies of Nature
			-- Wisp
			-- Cleansed Ancient
			-- Emerald Drake
			-- Ancient Dream (buff)
			[GetSpellInfo(216516)] = 1,
-- Ancient Dream (buff)
			-- Redeemed Sister
			-- Unbound Touch (buff, spread Unbound Essence after 4 sec)
			[GetSpellInfo(211989)] = 5,
-- Unbound Touch (buff, spreads)
			-- Unbound Essence
			[GetSpellInfo(211990)] = 1,
-- Unbound Essence (buff)
			-- Stage Two
			-- Cenarius
			-- Spear of Nightmares (tank debuff, stacks)
			[GetSpellInfo(214529)] = 5,
-- Spear of Nightmares (tank debuff, stacks)

			-- Xavius
			
			-- The Dream (95%,
			-- Dream Simulacrum (buff)
			[GetSpellInfo(206005)] = 1,
-- Dream Simulacrum (buff)
			-- Awakening to the Nightmare
			[GetSpellInfo(206109)] = 2,
-- Awakening to the Nightmare (buff)
			-- Nightmare Corruption
			-- Dread Abomination
			-- Unfathomable Reality
			-- Descent into Madness (buff before mind control)
			[GetSpellInfo(208431)] = 3,
-- Descent into Madness (buff)
			-- Madness (mind control)
			[GetSpellInfo(207409)] = 6,
-- Madness (mind control)
			-- Stage One
			-- Darkening Soul (dot, magic, explosion on dispel)
			[GetSpellInfo(206651)] = 8,
-- Darkening Soul (dot, magic)
			-- Nightmare Blades (fixate)
			[GetSpellInfo(211802)] = 7,
-- Nightmare Blades (fixate)
			-- Corruption Horror
			-- Lurking Terror
			-- Tormenting Fixation (fixate)
			[GetSpellInfo(205771)] = 7,
-- Tormenting Fixation (fixate)
			-- Stage Two
			-- Blackening Soul (dot, magic, debuff on dispel)
			[GetSpellInfo(209158)] = 8,
-- Blackening Soul (dot, magic)
			-- Blackened? (debuff)
			[GetSpellInfo(205612)] = 2,
-- Blackened? (debuff)
			-- Bonds of Terror (linked with another player)
			[GetSpellInfo(210451)] = 6,
-- Bonds of Terror (link)
			-- Inconceivable Horror
			-- Tainted Discharge (standing in)
			[GetSpellInfo(208385)] = 4,
-- Tainted Discharge (standing in)
			-- Stage Three
			-- Nightmare Tentacle
			-- The Infinite Dark? (dot, standing in environment?)
			[GetSpellInfo(211634)] = 4,
-- The Infinite Dark (standing in?)

			},
			[1007] = {
			

			-- Calamir
			
			-- Ancient Rage: Fire
			[GetSpellInfo(218888)] = 5,
-- Impish Flames (non-dispellable)
			-- Burning Bomb (dispellable)(TODO)
			-- Wrathful Flames Ground AoE(TODO)
			-- Ancient Rage: Frost
			[GetSpellInfo(217925)] = 5,
-- Icy Comet (non-dispellable) AoE Slow
			[GetSpellInfo(217966)] = 5,
-- Howling Gale (non-dispellable)
			-- Ancient Rage: Arcane
			[GetSpellInfo(218012)] = 5,
-- Arcanopulse (non-dispellable) DMG + Stun

			-- Drugon the Frostblood
			
			[GetSpellInfo(219602)] = 5,
-- Snow Plow (non-dispellable) Fixate

			-- Flotsam
			
			[GetSpellInfo(223373)] = 5,
-- Yaksam (non-dispellable) Cone AoE
			-- Regurgitated Marshstomper
			[GetSpellInfo(223355)] = 5,
-- Oozing Bile (non-dispellable)

			-- Humongris
			
			[GetSpellInfo(216430)] = 5,
-- Earthshake Stomp (non-dispellable) DMG + Stun
			[GetSpellInfo(216467)] = 5,
-- Make the Snow (non-dispellable) AoE Frost DMG + Slow
			[GetSpellInfo(216822)] = 5,
-- You Go Bang! (non-dispellable) Fire Bomb + DMG Increase Debuff

			-- Levantus
			
			[GetSpellInfo(170196)] = 5,
-- Rending Whirl (non-dispellable) Rend
			-- Electrify DMG + Stun Dispellable (TODO)
			[GetSpellInfo(217362)] = 5,
-- Turbulent Vortex (dispellable)
			[GetSpellInfo(217362)] = 5,
-- Rampaging Torrent (non-dispellable) DMG + DMG Increase Debuff Stacks

			-- Na'zak the Fiend
			
			[GetSpellInfo(219349)] = 5,
-- Corroding Spray (non-dispellable) Cone AoE Stacks

			-- Nithogg
			
			[GetSpellInfo(212867)] = 5,
-- Electrical Storm (non-dispellable) Ground AoE
			[GetSpellInfo(212852)] = 5,
-- Storm Breath (non-dispellable) DMG + DMG Increase Debuff
			-- Static Charge DMG after 5 Sec (TODO)

			-- Shar'thos
			
			-- Nightmare Breath Fire Cone AoE (TODO)
			[GetSpellInfo(215876)] = 5,
-- Burning Earth (non-dispellable) Ground AoE
			[GetSpellInfo(216044)] = 5,
-- Cry of the Tormented (non-dispellable) AoE Fear

			-- The Soultakers
			
			-- Reaver Jdorn
			[GetSpellInfo(213665)] = 5,
-- Marauding Mists (non-dispellable) DMG + Disorient


			-- Withered J'im
			
		},
		[995] = {
			
			[GetSpellInfo(166168)] = 6,

			[GetSpellInfo(154417)] = 6,

			[GetSpellInfo(154448)] = 6,

			[GetSpellInfo(154435)] = 6,

			[GetSpellInfo(154899)] = 6,

			[GetSpellInfo(154335)] = 6,


			--Kyrak
			
			[GetSpellInfo(161199)] = 6,

			[GetSpellInfo(161203)] = 6,

			[GetSpellInfo(161288)] = 6,

			[GetSpellInfo(162644)] = 6,

			[GetSpellInfo(155033)] = 6,

			[GetSpellInfo(155037)] = 6,


			--Commander Tharbek
			
			[GetSpellInfo(161765)] = 6,

			[GetSpellInfo(162000)] = 6,

			[GetSpellInfo(162097)] = 6,

			[GetSpellInfo(161985)] = 6,

			[GetSpellInfo(161772)] = 6,

			[GetSpellInfo(161833)] = 6,


			--Ragewing the Untamed
			
			[GetSpellInfo(155031)] = 6,

			[GetSpellInfo(155051)] = 6,

			[GetSpellInfo(155065)] = 6,

			[GetSpellInfo(155081)] = 6,

			[GetSpellInfo(155620)] = 6,


			--Warlord Zaela
			
			[GetSpellInfo(155673)] = 6,

			[GetSpellInfo(169158)] = 6,

			[GetSpellInfo(155705)] = 6,

			[GetSpellInfo(155720)] = 6,

			[GetSpellInfo(166041)] = 6,

		},
		[1008] = {
			
			[GetSpellInfo(164275)] = 6,

			[GetSpellInfo(164357)] = 6,

			[GetSpellInfo(169495)] = 6,

			[GetSpellInfo(164294)] = 6,

			[GetSpellInfo(164538)] = 6,


			--Ancient Protectors
			
			[GetSpellInfo(168520)] = 6,

			[GetSpellInfo(173263)] = 6,

			[GetSpellInfo(168092)] = 6,

			[GetSpellInfo(168082)] = 6,

			[GetSpellInfo(168105)] = 6,

			[GetSpellInfo(168040)] = 6,

			[GetSpellInfo(167966)] = 6,

			[GetSpellInfo(168041)] = 6,

			[GetSpellInfo(168187)] = 6,

			[GetSpellInfo(168375)] = 6,

			[GetSpellInfo(168383)] = 6,


			--Archmage Sol
			
			[GetSpellInfo(166464)] = 6,

			[GetSpellInfo(166489)] = 6,

			[GetSpellInfo(166465)] = 6,

			[GetSpellInfo(166726)] = 6,

			[GetSpellInfo(166466)] = 6,

			[GetSpellInfo(166751)] = 6,

			[GetSpellInfo(168885)] = 6,

			[GetSpellInfo(168894)] = 6,

			[GetSpellInfo(168895)] = 6,

			[GetSpellInfo(166891)] = 6,


			--Xeri'tac
			
			[GetSpellInfo(169275)] = 6,

			[GetSpellInfo(169375)] = 6,

			[GetSpellInfo(169376)] = 6,

			[GetSpellInfo(169382)] = 6,

			[GetSpellInfo(169249)] = 6,

			[GetSpellInfo(169218)] = 6,

			[GetSpellInfo(169224)] = 6,

			[GetSpellInfo(169371)] = 6,

			[GetSpellInfo(169233)] = 6,


			--Yalnu
			
			[GetSpellInfo(169179)] = 6,

			[GetSpellInfo(169120)] = 6,

			[GetSpellInfo(169876)] = 6,

			[GetSpellInfo(169878)] = 6,

			[GetSpellInfo(169929)] = 6,

			[GetSpellInfo(169613)] = 6,

			[GetSpellInfo(173536)] = 6,

			[GetSpellInfo(173563)] = 6,

			[GetSpellInfo(169251)] = 6,

		},
		[989] = {
			
			[GetSpellInfo(156793)] = 6,

			[GetSpellInfo(153544)] = 6,

			[GetSpellInfo(153757)] = 6,

			[GetSpellInfo(153315)] = 6,

			[GetSpellInfo(158085)] = 6,

			[GetSpellInfo(154043)] = 6,


			--Araknath
			
			[GetSpellInfo(165985)] = 6,

			[GetSpellInfo(154135)] = 6,

			[GetSpellInfo(157304)] = 6,


			--Rukhran
			
			[GetSpellInfo(153794)] = 6,

			[GetSpellInfo(153795)] = 6,

			[GetSpellInfo(153827)] = 6,

			[GetSpellInfo(153828)] = 6,

			[GetSpellInfo(169810)] = 6,

			[GetSpellInfo(159381)] = 6,

			[GetSpellInfo(153898)] = 6,

		},
		[969] = {
			
			[GetSpellInfo(162696)] = 6,

			[GetSpellInfo(153153)] = 6,

			[GetSpellInfo(153240)] = 6,

			[GetSpellInfo(153093)] = 6,

			[GetSpellInfo(164686)] = 6,

			[GetSpellInfo(162652)] = 6,


			--Nhallish
			
			[GetSpellInfo(153623)] = 6,

			[GetSpellInfo(152801)] = 6,

			[GetSpellInfo(152792)] = 6,

			[GetSpellInfo(153067)] = 6,

			[GetSpellInfo(153268)] = 6,

			--Soul Possession
			[GetSpellInfo(152979)] = 6,

			[GetSpellInfo(153033)] = 6,


			--Bonemaw
			
			[GetSpellInfo(153692)] = 6,

			[GetSpellInfo(165578)] = 6,

			[GetSpellInfo(153681)] = 6,

			[GetSpellInfo(154175)] = 6,

			[GetSpellInfo(153804)] = 6,

			--Carrion Centipede
			[GetSpellInfo(153681)] = 6,

			[GetSpellInfo(154175)] = 6,


			--Ner'zhul
			
			[GetSpellInfo(154442)] = 6,

			[GetSpellInfo(154353)] = 6,

			[GetSpellInfo(154469)] = 6,

		},
		[987]={
			[GetSpellInfo(164648)] = 6,

			[GetSpellInfo(164632)] = 6,

			[GetSpellInfo(164426)] = 6,

			[GetSpellInfo(164835)] = 6,

			[GetSpellInfo(164837)] = 6,

			[GetSpellInfo(164734)] = 6,


			--Grimrail Enforcers
			
			[GetSpellInfo(163689)] = 6,

			[GetSpellInfo(163705)] = 6,

			[GetSpellInfo(163740)] = 6,

			[GetSpellInfo(163668)] = 6,

			[GetSpellInfo(165152)] = 6,

			[GetSpellInfo(163376)] = 6,

			[GetSpellInfo(163390)] = 6,

			[GetSpellInfo(163276)] = 6,

			[GetSpellInfo(163376)] = 6,

			[GetSpellInfo(163379)] = 6,


			--Oshir
			
			[GetSpellInfo(163166)] = 6,

			[GetSpellInfo(162418)] = 6,

			[GetSpellInfo(162415)] = 6,

			[GetSpellInfo(163054)] = 6,

			[GetSpellInfo(163059)] = 6,

			[GetSpellInfo(161256)] = 6,


			--Skulloc, Son of Gruul
			
			[GetSpellInfo(168929)] = 6,

			[GetSpellInfo(169129)] = 6,

			[GetSpellInfo(168399)] = 6,

			[GetSpellInfo(168955)] = 6,

			[GetSpellInfo(168401)] = 6,

			[GetSpellInfo(168348)] = 6,
},
		[993] = {
			
			[GetSpellInfo(162500)] = 6,

			[GetSpellInfo(162407)] = 6,

			[GetSpellInfo(161091)] = 6,

			[GetSpellInfo(161087)] = 6,

			[GetSpellInfo(162617)] = 6,

			[GetSpellInfo(161089)] = 6,

			[GetSpellInfo(161092)] = 6,


			--Nitrogg Thundertower
			
			[GetSpellInfo(163550)] = 6,

			[GetSpellInfo(163539)] = 6,

			[GetSpellInfo(160681)] = 6,

			[GetSpellInfo(166570)] = 6,

			[GetSpellInfo(160702)] = 6,

			[GetSpellInfo(160703)] = 6,

			[GetSpellInfo(163550)] = 6,

			[GetSpellInfo(160703)] = 6,


			--Skylord Tovra
			
			[GetSpellInfo(162066)] = 6,

			[GetSpellInfo(162058)] = 6,

			[GetSpellInfo(161588)] = 6,

			[GetSpellInfo(161801)] = 6,

			[GetSpellInfo(163447)] = 6,

			},
		[964] = {
			
			[GetSpellInfo(150011)] = 6,

			[GetSpellInfo(150344)] = 6,

			[GetSpellInfo(149941)] = 6,

			[GetSpellInfo(149975)] = 6,

			[GetSpellInfo(149997)] = 6,

			[GetSpellInfo(150290)] = 6,

			[GetSpellInfo(150032)] = 6,

			[GetSpellInfo(150034)] = 6,

			[GetSpellInfo(150023)] = 6,

			[GetSpellInfo(150045)] = 6,

			[GetSpellInfo(150011)] = 6,

			[GetSpellInfo(150055)] = 6,


			--Slave Watcher Crushto
			
			[GetSpellInfo(153679)] = 6,

			[GetSpellInfo(150759)] = 6,

			[GetSpellInfo(150753)] = 6,

			[GetSpellInfo(150745)] = 6,

			--Raise the Miners
			[GetSpellInfo(150807)] = 6,


			--Roltall
			
			[GetSpellInfo(153247)] = 6,

			[GetSpellInfo(152897)] = 6,

			[GetSpellInfo(153227)] = 6,

			[GetSpellInfo(167739)] = 6,


			--Gug'rokk
			
			[GetSpellInfo(150677)] = 6,

			[GetSpellInfo(150682)] = 6,

			[GetSpellInfo(150784)] = 6,

			[GetSpellInfo(150734)] = 6,

			[GetSpellInfo(152091)] = 6,

			[GetSpellInfo(163802)] = 6,

		},

		[984] = {
			
			[GetSpellInfo(153480)] = 6,

			[GetSpellInfo(153006)] = 5,

			[GetSpellInfo(152954)] = 4,

			[GetSpellInfo(154526)] = 3,

			[GetSpellInfo(157465)] = 1,


			--Soulbinder Nyami
			
			[GetSpellInfo(154415)] = 6,

			[GetSpellInfo(154477)] = 6,

			[GetSpellInfo(153477)] = 6,

			[GetSpellInfo(154218)] = 6,

			[GetSpellInfo(154261)] = 6,

			[GetSpellInfo(154241)] = 6,

			[GetSpellInfo(154173)] = 6,


			--Azzakel
			
			[GetSpellInfo(153234)] = 6,
			[GetSpellInfo(153396)] = 6,
			--Claws of Argus
			[GetSpellInfo(154221)] = 6,
			[GetSpellInfo(154018)] = 6,
			[GetSpellInfo(157173)] = 6,
			--Malevolent Crash
			[GetSpellInfo(153500)] = 6,
			[GetSpellInfo(153725)] = 6,

			--Teron'gor
			
			[GetSpellInfo(156829)] = 6,
			[GetSpellInfo(156842)] = 6,
			[GetSpellInfo(156854)] = 6,
			[GetSpellInfo(156974)] = 6,
			[GetSpellInfo(156829)] = 6,
			[GetSpellInfo(164841)] = 6,
			[GetSpellInfo(156921)] = 6,
			[GetSpellInfo(156925)] = 6,
			[GetSpellInfo(156854)] = 6,
			[GetSpellInfo(156954)] = 6,
			[GetSpellInfo(164846)] = 6,
			[GetSpellInfo(156964)] = 6,
			[GetSpellInfo(156960)] = 6,
			[GetSpellInfo(156974)] = 6,
			[GetSpellInfo(156963)] = 6,
			[GetSpellInfo(164841)] = 6,
			[GetSpellInfo(157041)] = 6,
			[GetSpellInfo(156965)] = 6,
			[GetSpellInfo(156842)] = 6,
			[GetSpellInfo(157001)] = 6,
			[GetSpellInfo(156968)] = 6,
			},

		[953] = {

			--Immerseus
			[GetSpellInfo(143297)] = 5, --Sha Splash
			[GetSpellInfo(143459)] = 4, --Sha Residue
			[GetSpellInfo(143524)] = 4, --Purified Residue
			[GetSpellInfo(143286)] = 4, --Seeping Sha
			[GetSpellInfo(143413)] = 3, --Swirl
			[GetSpellInfo(143411)] = 3, --Swirl
			[GetSpellInfo(143436)] = 2, --Corrosive Blast (tanks)
			[GetSpellInfo(143579)] = 3, --Sha Corruption (Heroic Only)

			--Fallen Protectors
			[GetSpellInfo(143239)] = 4, --Noxious Poison
			[GetSpellInfo(144176)] = 2, --Lingering Anguish
			[GetSpellInfo(143023)] = 3, --Corrupted Brew
			[GetSpellInfo(143301)] = 2, --Gouge
			[GetSpellInfo(143564)] = 3, --Meditative Field
			[GetSpellInfo(143010)] = 3, --Corruptive Kick
			[GetSpellInfo(143434)] = 6, --Shadow Word:Bane (Dispell)
			[GetSpellInfo(143840)] = 6, --Mark of Anguish
			[GetSpellInfo(143959)] = 4, --Defiled Ground
			[GetSpellInfo(143423)] = 6, --Sha Sear
			[GetSpellInfo(143292)] = 5, --Fixate
			[GetSpellInfo(144176)] = 5, --Shadow Weakness
			[GetSpellInfo(147383)] = 4, --Debilitation (Heroic Only)

			--Norushen
			[GetSpellInfo(146124)] = 2, --Self Doubt (tanks)
			[GetSpellInfo(146324)] = 4, --Jealousy
			[GetSpellInfo(144639)] = 6, --Corruption
			[GetSpellInfo(144850)] = 5, --Test of Reliance
			[GetSpellInfo(145861)] = 6, --Self-Absorbed (Dispell)
			[GetSpellInfo(144851)] = 2, --Test of Confiidence (tanks)
			[GetSpellInfo(146703)] = 3, --Bottomless Pit
			[GetSpellInfo(144514)] = 6, --Lingering Corruption
			[GetSpellInfo(144849)] = 4, --Test of Serenity

			--Sha of Pride
			[GetSpellInfo(144358)] = 2, --Wounded Pride (tanks)
			[GetSpellInfo(144843)] = 3, --Overcome
			[GetSpellInfo(146594)] = 4, --Gift of the Titans
			[GetSpellInfo(144351)] = 6, --Mark of Arrogance
			[GetSpellInfo(144364)] = 4, --Power of the Titans
			[GetSpellInfo(146822)] = 6, --Projection
			[GetSpellInfo(146817)] = 5, --Aura of Pride
			[GetSpellInfo(144774)] = 2, --Reaching Attacks (tanks)
			[GetSpellInfo(144636)] = 5, --Corrupted Prison
			[GetSpellInfo(144574)] = 6, --Corrupted Prison
			[GetSpellInfo(145215)] = 4, --Banishment (Heroic)
			[GetSpellInfo(147207)] = 4, --Weakened Resolve (Heroic)
			[GetSpellInfo(144574)] = 6, --Corrupted Prison
			[GetSpellInfo(144574)] = 6, --Corrupted Prison

			--Galakras
			[GetSpellInfo(146765)] = 5, --Flame Arrows
			[GetSpellInfo(147705)] = 5, --Poison Cloud
			[GetSpellInfo(146902)] = 2, --Poison Tipped blades

			--Iron Juggernaut
			[GetSpellInfo(144467)] = 2, --Ignite Armor
			[GetSpellInfo(144459)] = 5, --Laser Burn
			[GetSpellInfo(144498)] = 5, --Napalm Oil
			[GetSpellInfo(144918)] = 5, --Cutter Laser
			[GetSpellInfo(146325)] = 6, --Cutter Laser Target

			--Kor'kron Dark Shaman
			[GetSpellInfo(144089)] = 6, --Toxic Mist
			[GetSpellInfo(144215)] = 2, --Froststorm Strike (Tank only)
			[GetSpellInfo(143990)] = 2, --Foul Geyser (Tank only)
			[GetSpellInfo(144304)] = 2, --Rend
			[GetSpellInfo(144330)] = 6, --Iron Prison (Heroic)

			--General Nazgrim
			[GetSpellInfo(143638)] = 6, --Bonecracker
			[GetSpellInfo(143480)] = 5, --Assassin's Mark
			[GetSpellInfo(143431)] = 6, --Magistrike (Dispell)
			[GetSpellInfo(143494)] = 2, --Sundering Blow (Tanks)
			[GetSpellInfo(143882)] = 5, --Hunter's Mark

			--Malkorok
			[GetSpellInfo(142990)] = 2, --Fatal Strike (Tank debuff)
			[GetSpellInfo(142913)] = 6, --Displaced Energy (Dispell)
			[GetSpellInfo(143919)] = 5, --Languish (Heroic)
			[GetSpellInfo(142863)] = 9, --Weak Ancient Barrier
			[GetSpellInfo(142865)] = 9, --Strong Ancient Barrier
			[GetSpellInfo(142862)] = 9, --Ancient Barrier

			--Spoils of Pandaria
			[GetSpellInfo(145685)] = 2, --Unstable Defensive System
			[GetSpellInfo(144853)] = 3, --Carnivorous Bite
			[GetSpellInfo(145987)] = 5, --Set to Blow
			[GetSpellInfo(145218)] = 4, --Harden Flesh
			[GetSpellInfo(145230)] = 1, --Forbidden Magic
			[GetSpellInfo(146217)] = 4, --Keg Toss
			[GetSpellInfo(146235)] = 4, --Breath of Fire
			[GetSpellInfo(145523)] = 4, --Animated Strike
			[GetSpellInfo(142983)] = 6, --Torment (the new Wrack)
			[GetSpellInfo(145715)] = 3, --Blazing Charge
			[GetSpellInfo(145747)] = 5, --Bubbling Amber
			[GetSpellInfo(146289)] = 4, --Mass Paralysis

			--Thok the Bloodthirsty
			[GetSpellInfo(143766)] = 2, --Panic (tanks)
			[GetSpellInfo(143773)] = 2, --Freezing Breath (tanks)
			[GetSpellInfo(143452)] = 1, --Bloodied
			[GetSpellInfo(146589)] = 5, --Skeleton Key (tanks)
			[GetSpellInfo(143445)] = 6, --Fixate
			[GetSpellInfo(143791)] = 5, --Corrosive Blood
			[GetSpellInfo(143777)] = 3, --Frozen Solid (tanks)
			[GetSpellInfo(143780)] = 4, --Acid Breath
			[GetSpellInfo(143800)] = 5, --Icy Blood
			[GetSpellInfo(143428)] = 4, --Tail Lash

			--Siegecrafter Blackfuse
			[GetSpellInfo(144236)] = 4, --Pattern Recognition
			[GetSpellInfo(144466)] = 5, --Magnetic Crush
			[GetSpellInfo(143385)] = 2, --Electrostatic Charge (tank)
			[GetSpellInfo(143856)] = 6, --Superheated

			--Paragons of the Klaxxi
			[GetSpellInfo(143617)] = 5, --Blue Bomb
			[GetSpellInfo(143701)] = 5, --Whirling (stun)
			[GetSpellInfo(143702)] = 5, --Whirling
			[GetSpellInfo(142808)] = 6, --Fiery Edge
			[GetSpellInfo(143609)] = 5, --Yellow Sword
			[GetSpellInfo(143610)] = 5, --Red Drum
			[GetSpellInfo(142931)] = 2, --Exposed Veins
			[GetSpellInfo(143619)] = 5, --Yellow Bomb
			[GetSpellInfo(143735)] = 6, --Caustic Amber
			[GetSpellInfo(146452)] = 5, --Resonating Amber
			[GetSpellInfo(142929)] = 2, --Tenderizing Strikes
			[GetSpellInfo(142797)] = 5, --Noxious Vapors
			[GetSpellInfo(143939)] = 5, --Gouge
			[GetSpellInfo(143275)] = 2, --Hewn
			[GetSpellInfo(143768)] = 2, --Sonic Projection
			[GetSpellInfo(142532)] = 6, --Toxin: Blue
			[GetSpellInfo(142534)] = 6, --Toxin: Yellow
			[GetSpellInfo(143279)] = 2, --Genetic Alteration
			[GetSpellInfo(143339)] = 6, --Injection
			[GetSpellInfo(142649)] = 4, --Devour
			[GetSpellInfo(146556)] = 6, --Pierce
			[GetSpellInfo(142671)] = 6, --Mesmerize
			[GetSpellInfo(143979)] = 2, --Vicious Assault
			[GetSpellInfo(143607)] = 5, --Blue Sword
			[GetSpellInfo(143614)] = 5, --Yellow Drum
			[GetSpellInfo(143612)] = 5, --Blue Drum
			[GetSpellInfo(142533)] = 6, --Toxin: Red
			[GetSpellInfo(143615)] = 5, --Red Bomb
			[GetSpellInfo(143974)] = 2, --Shield Bash (tanks)

			--Garrosh Hellscream
			[GetSpellInfo(144582)] = 4, --Hamstring
			[GetSpellInfo(144954)] = 4, --Realm of Y'Shaarj
			[GetSpellInfo(145183)] = 2, --Gripping Despair (tanks)
			[GetSpellInfo(144762)] = 4, --Desecrated
			[GetSpellInfo(145071)] = 5, --Touch of Y'Sharrj
			[GetSpellInfo(148718)] = 4, --Fire Pit

		},

		--[[ Throne of Thunder ]]--
		[930] = {

			--Jin'rokh the Breaker
			[GetSpellInfo(138006)] = 4, --Electrified Waters
			[GetSpellInfo(137399)] = 6, --Focused Lightning fixate
			[GetSpellInfo(138732)] = 5, --Ionization
			[GetSpellInfo(138349)] = 2, --Static Wound (tank only)
			[GetSpellInfo(137371)] = 2, --Thundering Throw (tank only)

			--Horridon
			[GetSpellInfo(136769)] = 6, --Charge
			[GetSpellInfo(136767)] = 2, --Triple Puncture (tanks only)
			[GetSpellInfo(136708)] = 6, --Stone Gaze
			[GetSpellInfo(136723)] = 5, --Sand Trap
			[GetSpellInfo(136587)] = 5, --Venom Bolt Volley (dispellable)
			[GetSpellInfo(136710)] = 5, --Deadly Plague (disease)
			[GetSpellInfo(136670)] = 4, --Mortal Strike
			[GetSpellInfo(136573)] = 5, --Frozen Bolt (Debuff used by frozen orb)
			[GetSpellInfo(136512)] = 6, --Hex of Confusion
			[GetSpellInfo(136719)] = 6, --Blazing Sunlight
			[GetSpellInfo(136654)] = 6, --Rending Charge
			[GetSpellInfo(140946)] = 4, --Dire Fixation (Heroic Only)

			--Council of Elders
			[GetSpellInfo(136922)] = 6, --Frostbite
			[GetSpellInfo(137084)] = 3, --Body Heat
			[GetSpellInfo(137641)] = 6, --Soul Fragment (Heroic only)
			[GetSpellInfo(136878)] = 5, --Ensnared
			[GetSpellInfo(136857)] = 6, --Entrapped (Dispell)
			[GetSpellInfo(137650)] = 5, --Shadowed Soul
			[GetSpellInfo(137359)] = 6, --Shadowed Loa Spirit fixate target
			[GetSpellInfo(137972)] = 6, --Twisted Fate (Heroic only)
			[GetSpellInfo(136860)] = 5, --Quicksand

			--Tortos
			[GetSpellInfo(134030)] = 6, --Kick Shell
			[GetSpellInfo(134920)] = 6, --Quake Stomp
			[GetSpellInfo(136751)] = 6, --Sonic Screech
			[GetSpellInfo(136753)] = 2, --Slashing Talons (tank only)
			[GetSpellInfo(137633)] = 5, --Crystal Shell (heroic only)

			--Megaera
			[GetSpellInfo(139822)] = 6, --Cinder (Dispell)
			[GetSpellInfo(134396)] = 6, --Consuming Flames (Dispell)
			[GetSpellInfo(137731)] = 5, --Ignite Flesh
			[GetSpellInfo(136892)] = 6, --Frozen Solid
			[GetSpellInfo(139909)] = 5, --Icy Ground
			[GetSpellInfo(137746)] = 6, --Consuming Magic
			[GetSpellInfo(139843)] = 4, --Artic Freeze
			[GetSpellInfo(139840)] = 4, --Rot Armor
			[GetSpellInfo(140179)] = 6, --Suppression (stun)

			--Ji-Kun
			[GetSpellInfo(138309)] = 4, --Slimed
			[GetSpellInfo(138319)] = 5, --Feed Pool
			[GetSpellInfo(140571)] = 3, --Feed Pool
			[GetSpellInfo(134372)] = 3, --Screech

			--Durumu the Forgotten
			[GetSpellInfo(133768)] = 2, --Arterial Cut (tank only)
			[GetSpellInfo(133767)] = 2, --Serious Wound (Tank only)
			[GetSpellInfo(136932)] = 6, --Force of Will
			[GetSpellInfo(134122)] = 5, --Blue Beam
			[GetSpellInfo(134123)] = 5, --Red Beam
			[GetSpellInfo(134124)] = 5, --Yellow Beam
			[GetSpellInfo(133795)] = 6, --Life Drain
			[GetSpellInfo(133597)] = 6, --Dark Parasite
			[GetSpellInfo(133732)] = 3, --Infrared Light (the stacking red debuff)
			[GetSpellInfo(133677)] = 3, --Blue Rays (the stacking blue debuff)
			[GetSpellInfo(133738)] = 3, --Bright Light (the stacking yellow debuff)
			[GetSpellInfo(133737)] = 4, --Bright Light (The one that says you are actually in a beam)
			[GetSpellInfo(133675)] = 4, --Blue Rays (The one that says you are actually in a beam)
			[GetSpellInfo(134626)] = 5, --Lingering Gaze

			--Primordius
			[GetSpellInfo(140546)] = 6, --Fully Mutated
			[GetSpellInfo(136180)] = 3, --Keen Eyesight (Helpful)
			[GetSpellInfo(136181)] = 4, --Impared Eyesight (Harmful)
			[GetSpellInfo(136182)] = 3, --Improved Synapses (Helpful)
			[GetSpellInfo(136183)] = 4, --Dulled Synapses (Harmful)
			[GetSpellInfo(136184)] = 3, --Thick Bones (Helpful)
			[GetSpellInfo(136185)] = 4, --Fragile Bones (Harmful)
			[GetSpellInfo(136186)] = 3, --Clear Mind (Helpful)
			[GetSpellInfo(136187)] = 4, --Clouded Mind (Harmful)
			[GetSpellInfo(136050)] = 2, --Malformed Blood(Tank Only)

			--Dark Animus
			[GetSpellInfo(138569)] = 2, --Explosive Slam (tank only)
			[GetSpellInfo(138659)] = 6, --Touch of the Animus
			[GetSpellInfo(138609)] = 6, --Matter Swap
			[GetSpellInfo(138691)] = 4, --Anima Font
			[GetSpellInfo(136962)] = 5, --Anima Ring
			[GetSpellInfo(138480)] = 6, --Crimson Wake Fixate

			--Iron Qon
			[GetSpellInfo(134647)] = 6, --Scorched
			[GetSpellInfo(136193)] = 5, --Arcing Lightning
			[GetSpellInfo(135147)] = 2, --Dead Zone
			[GetSpellInfo(134691)] = 2, --Impale (tank only)
			[GetSpellInfo(135145)] = 6, --Freeze
			[GetSpellInfo(136520)] = 5, --Frozen Blood
			[GetSpellInfo(137669)] = 3, --Storm Cloud
			[GetSpellInfo(137668)] = 5, --Burning Cinders
			[GetSpellInfo(137654)] = 5, --Rushing Winds
			[GetSpellInfo(136577)] = 4, --Wind Storm
			[GetSpellInfo(136192)] = 4, --Lightning Storm
			[GetSpellInfo(136615)] = 6, --Electrified

			--Twin Consorts
			[GetSpellInfo(137440)] = 6, --Icy Shadows (tank only)
			[GetSpellInfo(137417)] = 6, --Flames of Passion
			[GetSpellInfo(138306)] = 5, --Serpent's Vitality
			[GetSpellInfo(137408)] = 2, --Fan of Flames (tank only)
			[GetSpellInfo(137360)] = 6, --Corrupted Healing (tanks and healers only?)
			[GetSpellInfo(137375)] = 3, --Beast of Nightmares
			[GetSpellInfo(136722)] = 6, --Slumber Spores

			--Lei Shen
			[GetSpellInfo(135695)] = 6, --Static Shock
			[GetSpellInfo(136295)] = 6, --Overcharged
			[GetSpellInfo(135000)] = 2, --Decapitate (Tank only)
			[GetSpellInfo(394514)] = 5, --Fusion Slash
			[GetSpellInfo(136543)] = 5, --Ball Lightning
			[GetSpellInfo(134821)] = 4, --Discharged Energy
			[GetSpellInfo(136326)] = 6, --Overcharge
			[GetSpellInfo(137176)] = 4, --Overloaded Circuits
			[GetSpellInfo(136853)] = 4, --Lightning Bolt
			[GetSpellInfo(135153)] = 6, --Crashing Thunder
			[GetSpellInfo(136914)] = 2, --Electrical Shock
			[GetSpellInfo(135001)] = 2, --Maim

			--Ra-Den (Heroic only)
			[GetSpellInfo(138308)] = 6, --Unstable Vita
			[GetSpellInfo(138372)] = 5, --Vita Sensitivity

		},

		--[[ Terrace of Endless Spring ]]--
		[886] = {

			--Protector Kaolan
			[GetSpellInfo(117519)] = 7, --Touch of Sha
			[GetSpellInfo(111850)] = 7, --Lightning Prison: Targeted
			[GetSpellInfo(117436)] = 7, --Lightning Prison: Stunned
			[GetSpellInfo(118191)] = 7, --Corrupted Essence
			[GetSpellInfo(117986)] = 8, --Defiled Ground: Stacks

			--Tsulong
			[GetSpellInfo(122768)] = 7, --Dread Shadows
			[GetSpellInfo(122777)] = 7, --Nightmares (dispellable)
			[GetSpellInfo(122752)] = 7, --Shadow Breath
			[GetSpellInfo(122789)] = 7, --Sunbeam
			[GetSpellInfo(123012)] = 7, --Terrorize: 5% (dispellable)
			[GetSpellInfo(123011)] = 7, --Terrorize: 10% (dispellable)
			[GetSpellInfo(123036)] = 7, --Fright (dispellable)
			[GetSpellInfo(122858)] = 6, --Bathed in Light

			--Lei Shi
			[GetSpellInfo(123121)] = 7, --Spray
			[GetSpellInfo(123705)] = 7, --Scary Fog

			--Sha of Fear
			[GetSpellInfo(119414)] = 7, --Breath of Fear
			[GetSpellInfo(129147)] = 7, --Onimous Cackle
			[GetSpellInfo(119983)] = 7, --Dread Spray
			[GetSpellInfo(120669)] = 7, --Naked and Afraid
			[GetSpellInfo(75683)] = 7, --Waterspout

			[GetSpellInfo(120629)] = 7, --Huddle in Terror
			[GetSpellInfo(120394)] = 7, --Eternal Darkness
			[GetSpellInfo(129189)] = 7, --Sha Globe
			[GetSpellInfo(119086)] = 7, --Penetrating Bolt
			[GetSpellInfo(119775)] = 7, --Reaching Attack

		},

		--[[ Heart of Fear ]]--
		[897] = {

			--Imperial Vizier Zor'lok
			[GetSpellInfo(123812)] = 7, --Pheromones of Zeal
			[GetSpellInfo(122740)] = 7, --Convert (MC)
			[GetSpellInfo(122706)] = 7, --Noise Cancelling (AMZ)

			--Blade Lord Ta'yak
			[GetSpellInfo(123474)] = 7, --Overwhelming Assault
			[GetSpellInfo(122949)] = 7, --Unseen Strike
			[GetSpellInfo(124783)] = 7, --Storm Unleashed
			[GetSpellInfo(123180)] = 8, --Wind Step

			--Garalon
			[GetSpellInfo(122835)] = 7, --Pheromones
			[GetSpellInfo(123081)] = 8, --Pungency
			[GetSpellInfo(122774)] = 7, --Crush
			[GetSpellInfo(123423)] = 8, --Weak Points

			--Wind Lord Mel'jarak
			[GetSpellInfo(121881)] = 8, --Amber Prison
			[GetSpellInfo(122055)] = 7, --Residue
			[GetSpellInfo(122064)] = 7, --Corrosive Resin

			--Amber-Shaper Un'sok
			[GetSpellInfo(121949)] = 7, --Parasitic Growth
			[GetSpellInfo(122784)] = 7, --Reshape Life

			--Grand Empress Shek'zeer
			[GetSpellInfo(123707)] = 7, --Eyes of the Empress
			[GetSpellInfo(125390)] = 7, --Fixate
			[GetSpellInfo(123788)] = 8, --Cry of Terror
			[GetSpellInfo(124097)] = 7, --Sticky Resin
			[GetSpellInfo(123184)] = 8, --Dissonance Field
			[GetSpellInfo(124777)] = 7, --Poison Bomb
			[GetSpellInfo(124821)] = 7, --Poison-Drenched Armor
			[GetSpellInfo(124827)] = 7, --Poison Fumes
			[GetSpellInfo(124849)] = 7, --Consuming Terror
			[GetSpellInfo(124863)] = 7, --Visions of Demise
			[GetSpellInfo(124862)] = 7, --Visions of Demise: Target
			[GetSpellInfo(123845)] = 7, --Heart of Fear: Chosen
			[GetSpellInfo(123846)] = 7, --Heart of Fear: Lure
			[GetSpellInfo(125283)] = 7, --Sha Corruption

		},

		--[[ Mogu'shan Vaults ]]--
		[896] = {

			--The Stone Guard
			[GetSpellInfo(130395)] = 7, --Jasper Chains
			[GetSpellInfo(130774)] = 7, --Amethyst Pool
			[GetSpellInfo(116281)] = 7, --Cobalt Mine Blast
			[GetSpellInfo(125206)] = 7, --Rend Flesh

			--Feng The Accursed
			[GetSpellInfo(131788)] = 7, --Lightning Lash
			[GetSpellInfo(116942)] = 7, --Flaming Spear
			[GetSpellInfo(131790)] = 7, --Arcane Shock
			[GetSpellInfo(131792)] = 7, --Shadowburn
			[GetSpellInfo(116784)] = 9, --Wildfire Spark
			[GetSpellInfo(116374)] = 7, --Lightning Charge
			[GetSpellInfo(116364)] = 7, --Arcane Velocity
			[GetSpellInfo(116040)] = 7, --Epicenter

			--Gara'jal the Spiritbinder
			[GetSpellInfo(122151)] = 9, --Voodoo doll
			[GetSpellInfo(117723)] = 8, --Frail Soul
			[GetSpellInfo(116260)] = 7, --Crossed Over
			[GetSpellInfo(116278)] = 7, --Soul Sever

			--The Spirit Kings
			--Meng the Demented
			[GetSpellInfo(117708)] = 7, --Maddening Shout
			--Subetai the Swift
			[GetSpellInfo(118048)] = 7, --Pillaged
			[GetSpellInfo(118047)] = 7, --Pillage: Target
			[GetSpellInfo(118135)] = 7, --Pinned Down
			[GetSpellInfo(118163)] = 7, --Robbed Blind
			--Zian of the Endless Shadow
			[GetSpellInfo(118303)] = 7, --Undying Shadow: Fixate

			--Elegon
			[GetSpellInfo(117878)] = 7, --Overcharged
			[GetSpellInfo(117949)] = 8, --Closed circuit
			[GetSpellInfo(117945)] = 7, --Arcing Energy
			-- Celestial Protector (Heroic)
			[GetSpellInfo(132222)] = 8, --Destabilizing Energies

			--Will of the Emperor
			--Jan-xi and Qin-xi
			[GetSpellInfo(116835)] = 7, --Devastating Arc
			[GetSpellInfo(132425)] = 7, --Stomp
			-- Rage
			[GetSpellInfo(116525)] = 7, --Focused Assault (Rage fixate)
			-- Courage
			[GetSpellInfo(116778)] = 7, --Focused Defense (fixate)
			[GetSpellInfo(117485)] = 7, --Impeding Thrust (slow debuff)
			-- Strength
			[GetSpellInfo(116550)] = 7, --Energizing Smash (knock down)
			-- Titan Spark (Heroic)
			[GetSpellInfo(116829)] = 7, --Focused Energy (fixate)

		},
				--[[ Dragon Soul ]]--
		[824] = {

			--Deep Corruption IDs
			[109389] = 8,
			[103628] = 8,

			--Ultraxion
			[GetSpellInfo(109075)] = 7, -- Fading Light
		},

		--[[ Firelands ]]--
		[800] = {

			--Baleroc
			[GetSpellInfo(100232)] = 9, -- Torment
		},

		--[[ Baradin Hold ]]--
		[752] = {

			[GetSpellInfo(88954)] = 6, -- Consuming Darkness
		},

		--[[ Blackwing Descent ]]--
		[754] = {

			--Magmaw
			[GetSpellInfo(78941)] = 6, -- Parasitic Infection
			[GetSpellInfo(89773)] = 7, -- Mangle

			--Omnitron Defense System
			[GetSpellInfo(79888)] = 6, -- Lightning Conductor
			[GetSpellInfo(79505)] = 8, -- Flamethrower
			[GetSpellInfo(80161)] = 7, -- Chemical Cloud
			[GetSpellInfo(79501)] = 8, -- Acquiring Target
			[GetSpellInfo(80011)] = 7, -- Soaked in Poison
			[GetSpellInfo(80094)] = 7, -- Fixate
			[GetSpellInfo(92023)] = 9, -- Encasing Shadows
			[GetSpellInfo(92048)] = 9, -- Shadow Infusion
			[GetSpellInfo(92053)] = 9, -- Shadow Conductor
			--[GetSpellInfo(91858)] = 6, -- Overcharged Power Generator

			--Maloriak
			[GetSpellInfo(92973)] = 8, -- Consuming Flames
			[GetSpellInfo(92978)] = 8, -- Flash Freeze
			[GetSpellInfo(92976)] = 7, -- Biting Chill
			[GetSpellInfo(91829)] = 7, -- Fixate
			[GetSpellInfo(92787)] = 9, -- Engulfing Darkness

			--Atramedes
			[GetSpellInfo(78092)] = 7, -- Tracking
			[GetSpellInfo(78897)] = 8, -- Noisy
			[GetSpellInfo(78023)] = 7, -- Roaring Flame

			--Chimaeron
			[GetSpellInfo(89084)] = 8, -- Low Health
			[GetSpellInfo(82881)] = 7, -- Break
			[GetSpellInfo(82890)] = 9, -- Mortality

			--Nefarian
			[GetSpellInfo(94128)] = 7, -- Tail Lash
			--[GetSpellInfo(94075)] = 8, -- Magma
			[GetSpellInfo(79339)] = 9, -- Explosive Cinders
			[GetSpellInfo(79318)] = 9, -- Dominion
		},

		--[[ The Bastion of Twilight ]]--
		[758] = {

			--Halfus
			[GetSpellInfo(39171)] = 7, -- Malevolent Strikes
			[GetSpellInfo(86169)] = 8, -- Furious Roar

			--Valiona & Theralion
			[GetSpellInfo(86788)] = 6, -- Blackout
			[GetSpellInfo(86622)] = 7, -- Engulfing Magic
			[GetSpellInfo(86202)] = 7, -- Twilight Shift

			--Council
			[GetSpellInfo(82665)] = 7, -- Heart of Ice
			[GetSpellInfo(82660)] = 7, -- Burning Blood
			[GetSpellInfo(82762)] = 7, -- Waterlogged
			[GetSpellInfo(83099)] = 7, -- Lightning Rod
			[GetSpellInfo(82285)] = 7, -- Elemental Stasis
			[GetSpellInfo(92488)] = 8, -- Gravity Crush

			--Cho'gall
			[GetSpellInfo(86028)] = 6, -- Cho's Blast
			[GetSpellInfo(86029)] = 6, -- Gall's Blast
			[GetSpellInfo(93189)] = 7, -- Corrupted Blood
			[GetSpellInfo(93133)] = 7, -- Debilitating Beam
			[GetSpellInfo(81836)] = 8, -- Corruption: Accelerated
			[GetSpellInfo(81831)] = 8, -- Corruption: Sickness
			[GetSpellInfo(82125)] = 8, -- Corruption: Malformation
			[GetSpellInfo(82170)] = 8, -- Corruption: Absolute

			--Sinestra
			[GetSpellInfo(92956)] = 9, -- Wrack
		},

		--[[ Throne of the Four Winds ]]--
		[773] = {

			--Conclave
			[GetSpellInfo(85576)] = 9, -- Withering Winds
			[GetSpellInfo(85573)] = 9, -- Deafening Winds
			[GetSpellInfo(93057)] = 7, -- Slicing Gale
			[GetSpellInfo(86481)] = 8, -- Hurricane
			[GetSpellInfo(93123)] = 7, -- Wind Chill
			[GetSpellInfo(93121)] = 8, -- Toxic Spores

			--Al'Akir
			--[GetSpellInfo(93281)] = 7, -- Acid Rain
			[GetSpellInfo(87873)] = 7, -- Static Shock
			[GetSpellInfo(88427)] = 7, -- Electrocute
			[GetSpellInfo(93294)] = 8, -- Lightning Rod
			[GetSpellInfo(93284)] = 9, -- Squall Line
		},
	},
}
